<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>

    <!-- bootstrap core css -->
    <link rel="stylesheet" type="text/css" href="/css/bootstrap.css" />

    <!-- fonts style -->
    <link href="https://fonts.googleapis.com/css?family=Poppins:400,600,700&display=swap" rel="stylesheet" />

    <!-- owl carousel -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.carousel.min.css"
        integrity="sha256-UhQQ4fxEeABh4JrcmAJ1+16id/1dnlOEVCFOxDef9Lw=" crossorigin="anonymous" />
    <!-- Custom styles for this template -->
    <link href="/css/style.css" rel="stylesheet" />
    <!-- responsive style -->
    <link href="/css/responsive.css" rel="stylesheet" />
    <!-- this is for the text editor -->
    <script src="https://cdn.ckeditor.com/4.17.1/standard/ckeditor.js"></script>
    <!-- CDN FONT AWESOME -->
<link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css" integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p" crossorigin="anonymous"/>

</head>
</head>
<body class="sub_page">
    <div class="hero_area">
        <!-- header section strats -->
        <header class="header_section ">
            <div class="container-fluid">
                <nav class="navbar navbar-expand-lg custom_nav-container ">
                    <a class="navbar-brand" th:href="@{/}">
                        <span>
                            My class online
                        </span>
                    </a>
                    <button class="navbar-toggler" type="button" data-toggle="collapse"
                        data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                        <span class=""> </span>
                    </button>

                    <div class="collapse navbar-collapse" id="navbarSupportedContent">
                        <div class="d-flex mx-auto flex-column flex-lg-row align-items-center">
                            <ul class="navbar-nav  ">
                                <li class="nav-item ">
                                    <a class="nav-link" th:href="@{/}">Home </a>
                                </li>
                                <li th:if="${#httpServletRequest.isUserInRole('ROLE_ADMIN')}" class="nav-item ">
                                  <a class="nav-link" th:href="@{/admin}">ADMIN </a>
                              </li>
                                <li class="nav-item">
                                    <a class="nav-link" th:href="@{/about}" > About</a>
                                </li>
                                <li class="nav-item active">
                                    <a class="nav-link" th:href="@{/course}">Courses <span
                                            class="sr-only">(current)</span></a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" th:href="@{/teacher}">Teachers</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" th:href="@{/contact}">Contact Us</a>
                                </li>
                            </ul>
                        </div>
                        <div class="quote_btn-container">
                            <a href="">
                                <span>
                                    log out
                                </span>
                                <i class="fa fa-user" aria-hidden="true"></i>
                            </a>
                            <!-- <form class="form-inline">
                                <button class="btn  my-2 my-sm-0 nav_search-btn" type="submit">
                                    <i class="fa fa-search" aria-hidden="true"></i>
                                </button>
                            </form> -->
                        </div>
                    </div>
                </nav>
            </div>
        </header>
        <!-- end header section -->
        <div >
        <!-- this is for the text editor -->
        <form class="px-md-2" th:action="@{/showLessonList}" method="post">

            <div class="card text-white bg-info mb-3" style="max-width: 120rem;">
                <div class="card-header">Lessons list</div>
                <div class="card-body">
                    <div class="list-group">
                        <table class="table table-striped table-primary">
                            <thead>
                                <tr>
                                    <th> Title </th>
                                    <th> View the lessons content </th>
                                    <th scope="col" class="text-center">Actions</th>

                                </tr>
                            </thead>
                            <tbody >
                                <tr th:each="lesson : ${lesson}">
                                    <td th:text="${lesson.lessonName}"></td>
                                    <td><a th:href="@{/lesson/}+${lesson.lessonId}" th:text="${lesson.lessonName}"></a>
                                    </td>
                                   
                                    
                                    <td th:if="${#httpServletRequest.isUserInRole('ROLE_ADMIN')}" class="text-center">
                                      <a th:href="@{/deleteLesson/}+${lesson.lessonId}" 
                                       class="btn btn-dark btn-sm shadow-none fas fa-trash-alt" onclick="return confirm('Are you sure to want to delete this lesson ?')"></a>
                                    </td>
                                </tr>                          
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
    
    </form>
</div>
</div>
    <!-- try for showing a card with a background -->
   <!-- info section -->
  <section class="info_section ">

    <div class="container">
      <div class="info_top ">
        <div class="row ">
          <div class="col-sm-6 col-md-4 col-lg-3">
            <div class="info_detail">
              <a href="index.html">
                <h4>
                  My class online
                </h4>
              </a>
              <p>
This plateform was created in February 2022 by khaled Razouk              </p>
              
            </div>
          </div>
          <div class="col-sm-6 col-md-4 col-lg-3 mx-auto">
            <h4>
              Contact us
            </h4>
            <p>
Join our team to teach with us the students who need help            </p>
            <div class="contact_nav">
              <a href="">
                <i class="fa fa-map-marker" aria-hidden="true"></i>
                <span>
                  Location
                </span>
              </a>
              <a href="">
                <i class="fa fa-phone" aria-hidden="true"></i>
                <span>
                  Call : +33 760228099
                </span>
              </a>
              <a href="">
                <i class="fa fa-envelope" aria-hidden="true"></i>
                <span>
                  Email : khaled_razouk@hotmail.com
                </span>
              </a>
            </div>
          </div>
          
        </div>
      </div>
    </div>
  </section>
  <!-- end info_section -->

    <!-- footer section -->
    <footer class="footer_section">
        <div class="container">
            <p>
                &copy; <span id="displayYear"></span> All Rights Reserved By Khaled Razouk
            </p>
        </div>
    </footer>
    <!-- footer section -->




</body>

</html>